- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# ps_info Struct Reference

List of all members.

## Public Attributes
uint8_t | enable_iid
uint8_t | enable_icc
uint8_t | enable_ext
uint8_t | iid_mode
uint8_t | icc_mode
uint8_t | nr_iid_par
uint8_t | nr_ipdopd_par
uint8_t | nr_icc_par
uint8_t | frame_class
uint8_t | num_env
uint8_t | border_position [MAX_PS_ENVELOPES+1]
uint8_t | iid_dt [MAX_PS_ENVELOPES]
uint8_t | icc_dt [MAX_PS_ENVELOPES]
uint8_t | enable_ipdopd
uint8_t | ipd_mode
uint8_t | ipd_dt [MAX_PS_ENVELOPES]
uint8_t | opd_dt [MAX_PS_ENVELOPES]
int8_t | iid_index_prev [34]
int8_t | icc_index_prev [34]
int8_t | ipd_index_prev [17]
int8_t | opd_index_prev [17]
int8_t | iid_index [MAX_PS_ENVELOPES][34]
int8_t | icc_index [MAX_PS_ENVELOPES][34]
int8_t | ipd_index [MAX_PS_ENVELOPES][17]
int8_t | opd_index [MAX_PS_ENVELOPES][17]
int8_t | ipd_index_1 [17]
int8_t | opd_index_1 [17]
int8_t | ipd_index_2 [17]
int8_t | opd_index_2 [17]
uint8_t | ps_data_available
uint8_t | header_read
void * | hyb
uint8_t | use34hybrid_bands
uint8_t | num_groups
uint8_t | num_hybrid_groups
uint8_t | nr_par_bands
uint8_t | nr_allpass_bands
uint8_t | decay_cutoff
uint8_t * | group_border
uint16_t * | map_group2bk
uint8_t | saved_delay
uint8_t | delay_buf_index_ser [NO_ALLPASS_LINKS]
uint8_t | num_sample_delay_ser [NO_ALLPASS_LINKS]
uint8_t | delay_D [64]
uint8_t | delay_buf_index_delay [64]
complex_t | delay_Qmf [14][64]
complex_t | delay_SubQmf [2][32]
complex_t | delay_Qmf_ser [NO_ALLPASS_LINKS][5][64]
complex_t | delay_SubQmf_ser [NO_ALLPASS_LINKS][5][32]
real_t | alpha_decay
real_t | alpha_smooth
real_t | P_PeakDecayNrg [34]
real_t | P_prev [34]
real_t | P_SmoothPeakDecayDiffNrg_prev [34]
complex_t | h11_prev [50]
complex_t | h12_prev [50]
complex_t | h21_prev [50]
complex_t | h22_prev [50]
uint8_t | phase_hist
complex_t | ipd_prev [20][2]
complex_t | opd_prev [20][2]

## Detailed Description

Definition at line 47 of file ps_dec.h.

The documentation for this struct was generated from the following file:

- C:/guliverkli/src/filters/transform/mpadecfilter/faad2/libfaad/ps_dec.h